Update a package policy
- Base URL
-
https://{kibana_url}
- PUT /api/fleet/package_policies/{packagePolicyId}
- PUT /s/{space_id}/api/fleet/package_policies/{packagePolicyId}
Update a package policy by ID.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Query parameters
-
onboarding_deployment_idstring · max length: 256The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
ID of the cloud onboarding instance that manages the package policies. Required to change package policies managed by a cloud onboarding instance; only the onboarding flow is expected to set it. Requests that change a managed package policy without a matching ID are rejected with a 400 error, and
forcedoes not bypass this check. A bulk delete that includes such a package policy is rejected as a whole.
Request body
-
additional_datastreams_permissionsstring[] · max items: 1000nullable -
Additional data stream permissions that will be added to the agent policy.
-
cloud_connector_idstring · min length: 0nullable -
ID of the cloud connector associated with this package policy.
-
cloud_connector_namestring · min length: 1 · max length: 255nullable -
Transient field for cloud connector name during creation.
-
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this integration to its inputs.
-
inputsobject[] · max items: 1000 -
namespacestring · max length: 100 -
The package policy namespace. Leave blank to inherit the agent policy's namespace.
-
overridesobjectnullable -
Override settings that are defined in the package policy. The override option should be used only in unusual circumstances and not as a routine procedure.
-
policy_idstring · min length: 0nullable deprecated -
ID of the agent policy which the package policy will be added to.
-
supports_agentlessbooleannullable -
Indicates whether the package policy belongs to an agentless agent policy.
-
supports_cloud_connectorbooleannullable -
Indicates whether the package policy supports cloud connectors.
-
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
<string>string · max length: 1024
-
additional_datastreams_permissionsstring[] · max items: 100nullable -
Additional data stream permissions that will be added to the agent policy.
-
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this integration to its inputs.
-
create_dataset_templatesboolean -
When true, install dedicated index templates for streams with a custom data_stream.dataset. Defaults to true for input packages, false for integration packages.
-
forceboolean -
Force package policy creation even if the package is not verified, or if the agent policy is managed.
-
inputsmap string to object -
Package policy inputs. Refer to the integration documentation to know which inputs are available.
-
<string>object -
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this input.
-
streamsmap string to object -
Input streams. Refer to the integration documentation to know which streams are available.
-
namespacestring · max length: 100 -
Policy namespace. When not specified, it inherits the agent policy namespace.
-
packageobjectrequired -
Same fields as
packageinupdate_package_policy_request -
policy_idsstring[] · max items: 1000 -
IDs of the agent policies that the package policy will be added to.
-
supports_agentlessbooleannullable deprecated -
Indicates whether the package policy belongs to an agentless agent policy. Deprecated in favor of the Fleet managed integrations API.
Responses
Successful response
-
itemobjectrequired -
additional_datastreams_permissionsstring[] · max items: 1000nullable -
Additional data stream permissions that will be added to the agent policy.
-
cloud_connector_namestring · min length: 1 · max length: 255nullable -
Transient field for cloud connector name during creation.
-
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this integration to its inputs.
-
inputsunion anyOfrequired -
Package policy inputs.
- Any of:
-
<string>object -
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this input.
-
streamsmap string to object -
Input streams. Refer to the integration documentation to know which streams are available.
-
namespacestring · max length: 100 -
The package policy namespace. Leave blank to inherit the agent policy's namespace.
-
onboarding_deployment_idstring · max length: 256nullable The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
ID of the cloud onboarding instance that manages this package policy. Set by Fleet, read-only.
-
overridesobjectnullable -
Override settings that are defined in the package policy. The override option should be used only in unusual circumstances and not as a routine procedure.
-
packageobject -
Same fields as
packageinupdate_package_policy_request -
policy_idstringnullable deprecated -
ID of the agent policy which the package policy will be added to.
-
supports_agentlessbooleannullable -
Indicates whether the package policy belongs to an agentless agent policy.
-
supports_cloud_connectorbooleannullable -
Indicates whether the package policy supports cloud connectors.
-
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
<string>string · max length: 1024
{ compiled_input, enabled, streams, … }[]
Package policy inputs. Refer to the integration documentation to know which inputs are available.
Bad Request